changeset 24:6f975a65fe1d

Fixes for uClibc 0.9.33.1.
author Rob Landley <rob@landley.net>
date Thu, 19 Apr 2012 00:10:54 -0500
parents 73b8cbdef3b5
children 0e641b064adf
files images/lfs-bootstrap/mnt/build/bison.sh images/lfs-bootstrap/mnt/build/m4.sh
diffstat 2 files changed, 19 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/images/lfs-bootstrap/mnt/build/bison.sh	Sat Jan 14 11:41:52 2012 -0600
+++ b/images/lfs-bootstrap/mnt/build/bison.sh	Thu Apr 19 00:10:54 2012 -0500
@@ -1,5 +1,8 @@
 #!/bin/sh
 
+sed -i 's/#ifndef __GLIBC__/#if !defined __GLIBC__ || defined __UCLIBC__/' \
+  lib/spawn.in.h || exit 1
+
 ./configure --prefix=/usr &&
 echo '#define YYENABLE_NLS 1' >> lib/config.h &&
 make -j $CPUS || exit 1
--- a/images/lfs-bootstrap/mnt/build/m4.sh	Sat Jan 14 11:41:52 2012 -0600
+++ b/images/lfs-bootstrap/mnt/build/m4.sh	Thu Apr 19 00:10:54 2012 -0500
@@ -1,1 +1,16 @@
-generic-check.sh
\ No newline at end of file
+#!/bin/sh
+
+sed -i 's/#ifndef __GLIBC__/#if !defined __GLIBC__ || defined __UCLIBC__/' \
+  lib/spawn.in.h || exit 1
+
+# Standard install, plus "make check".
+
+./configure --prefix=/usr --bindir=/bin &&
+make -j $CPUS || exit 1
+
+if [ ! -z "$CHECK" ]
+then
+  make check || exit 1
+fi
+
+make install